import { z } from 'zod';

/**
 * Schema Zod para validar um parceiro.
 */
export const partnerSchema = z.object({
  id: z.number(),
  cpf: z.string(),
  nome: z.string(),
});

/**
 * Type para parceiro inferido do schema.
 */
export type Partner = z.infer<typeof partnerSchema>;
